Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81146

Summary: Colour index overflow attack
Product: [Retired] Red Hat Linux Reporter: Michal Jaegermann <michal>
Component: xpdfAssignee: Ngo Than <than>
Status: CLOSED ERRATA QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0CC: mitr
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-02-10 08:33:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michal Jaegermann 2003-01-06 05:11:03 UTC
Description of problem:

http://www.idefense.com/advisory/12.23.02.txt describes how to attack
pdftops filter used, among other things, by CUPS.  That advisory is
specifically for a version of xpdf currently in rawhide but it mentions
that it applies to all earlier versions as well.  It also includes a
reference to a patch (although 'indexHighA != indexHighA && 0xff' test
would be likely marginally simpler).

Comment 1 Mark J. Cox 2003-01-08 11:12:12 UTC
known issue, erratum for CUPS and Xpdf packages is in progress

Comment 2 Mark J. Cox 2003-02-10 08:33:05 UTC
CUPS was released some time ago, xpdf updates were completed last week.
http://rhn.redhat.com/errata/RHSA-2003-037.html